package client

import (
	"github.com/go-chi/chi"
)

func APIRoutes(s Service) *chi.Mux {
	router := chi.NewRouter()

	router.Get("/{id}", ClientAPIHandler(s))
	router.Get("/", ClientsAPIHandler(s))

	return router
}
